%define pkg_name        MPEG-ID3v2Tag
%define pkg_version     0.39
%define rpm_pkg_version 0.39
%define rpm_pkg_release 1.n0i.3

Summary:       OO, extensible ID3 v2.3 tagging module
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CB/CBTILDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
MPEG::ID3v2Tag is a class capable of parsing and creating ID3v2 revision 3
tags. While not all frames are fully supported, it's easy to add support
for more.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 0.39-1.n0i.3
- version 0.39

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.38-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.38

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.36-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
